# Copyright (c) 2015, XhiveFramework
# For license information, please see license.txt


import xhiveframework
from xhiveframework.model.document import Document


class Program(Document):
	def get_course_list(self):
		program_course_list = self.courses
		course_list = [
			xhiveframework.get_doc("Course", program_course.course)
			for program_course in program_course_list
		]
		return course_list
